#include<iostream>
#include<string>
using namespace std;
int main()
{
	string a,b,c;
	string broj1,broj2,broj3,broj4,broj5,broj6;
	string maxi;;
	cin>>a>>b>>c;
	
	broj1=a+b+c;
	broj2=a+c+b;
	broj3=b+a+c;
	broj4=b+c+a;
	broj5=c+a+b;
	broj6=c+b+a;
	
	maxi=broj1;
	
	if(maxi < broj2)
	{
		
		cout<<broj2<<endl;
	}
	else if(maxi < broj3)
	{
		
		cout<<broj3<<endl;
	}
	else if(maxi < broj4)
	{
		
		cout<<broj4<<endl;
	}
	else if(maxi < broj5)
	{
		
		cout<<broj5<<endl;
	}
	else if(maxi < broj6)
	{
		
		cout<<broj6<<endl;
	}
}